## xpdf 3.04+git20240613

=== debian/changelog ===
xpdf (3.04+git20240613-1build1) oracular; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Aug 2024 07:38:16 -0400

xpdf (3.04+git20240613-1) unstable; urgency=medium

  * Import new upstream version 3.04+git20240613 (closes: #1074015)

 -- Florian Schlichting <fsfs@debian.org>  Sat, 22 Jun 2024 16:59:36 +0200

=== debian/control ===
Source: xpdf
Section: text
Priority: optional
Maintainer: Florian Schlichting <fsfs@debian.org>
Standards-Version: 4.6.2
Build-Depends:
 debhelper-compat (= 13),
 pkgconf,
 libpaper-dev,
 libxt-dev,
 libx11-dev,
 libmotif-dev,
 libpoppler-private-dev (>= 0.76),
Vcs-Browser: https://salsa.debian.org/debian/xpdf
Vcs-Git: https://salsa.debian.org/debian/xpdf.git
Homepage: https://offog.org/code/xpopple/
Rules-Requires-Root: no

Package: xpdf
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 poppler-utils,
 poppler-data,
 fonts-urw-base35,
 cups-bsd,
 sensible-utils,
Provides:
 pdf-viewer,
Description: Motif-based PDF reader using the Poppler library
 xpdf is a light-weight open source viewer for Portable Document Format (PDF)
 files (also called 'Adobe Acrobat' or 'Acrobat' files).  This is just the
 xpdf viewer client; various command-line pdf tools are now provided via the
 poppler-utils package.
 .
 Debian's xpdf is a fork of Xpdf version 3, modified to use the Poppler
 PDF rendering library but keeping the Motif toolkit, and nowadays maintained
 as the xpopple project.

## xpdf 3.04+git20250103

=== debian/changelog ===
xpdf (3.04+git20250103-1) unstable; urgency=medium

  * Import new upstream version 3.04+git20250103 (closes: #1093208)
  * Update copyright years
  * Declare compliance with Debian Policy 4.7.0

 -- Florian Schlichting <fsfs@debian.org>  Fri, 17 Jan 2025 09:37:22 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: text
 Priority: optional
 Maintainer: Florian Schlichting <fsfs@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends:
  debhelper-compat (= 13),
  pkgconf,

## xpdf 3.04+git20250304

=== debian/changelog ===
xpdf (3.04+git20250304-1) unstable; urgency=medium

  * Import new upstream version 3.04+git20250304 (closes: #1099553)
  * Declare compliance with Debian Policy 4.7.2

 -- Florian Schlichting <fsfs@debian.org>  Wed, 05 Mar 2025 08:17:20 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: text
 Priority: optional
 Maintainer: Florian Schlichting <fsfs@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends:
  debhelper-compat (= 13),
  pkgconf,

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pretty=3.04+git%cd, pgpmode=none" \
https://offog.org/git/xpopple.git \
HEAD

## xpdf 3.04+git20260220

=== debian/changelog ===
xpdf (3.04+git20260220-1) unstable; urgency=medium

  [ Alessandro Astone ]
  * Import new upstream version 3.04+git20260218
    - Fix build against poppler 26.01
    - Brush up manpages (closes: #1094431)
    - Fix mask calculation when output is wider than 8 bits (closes: #1127719,
      hopefully)
  * d/p/acute-accent-in-manpage: Drop patch, upstream changed single quotes
    into double quotes
  * d/p/wrapper-options-manpage.patch: Rebase patch

  [ Florian Schlichting ]
  * Import new upstream version 3.04+git2026022
  * Update copyright years
  * Drop Priority: optional, now default
  * Drop Rules-Requires-Root: no, now default
  * Declare compliance with Debian Policy 4.7.3
  * d/rules: no longer necessary to hint libpaper

 -- Florian Schlichting <fsfs@debian.org>  Sat, 21 Feb 2026 22:59:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xpdf
 Section: text
-Priority: optional
 Maintainer: Florian Schlichting <fsfs@debian.org>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends:
  debhelper-compat (= 13),
  pkgconf,
@@ -14,7 +13,6 @@
 Vcs-Browser: https://salsa.debian.org/debian/xpdf
 Vcs-Git: https://salsa.debian.org/debian/xpdf.git
 Homepage: https://offog.org/code/xpopple/
-Rules-Requires-Root: no
 
 Package: xpdf
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

execute_after_dh_auto_install:
	mv debian/xpdf/usr/bin/xpdf debian/xpdf/usr/bin/xpdf.real

## xpdf python-0.0.10

=== requirements.txt ===
# Dev/Deployment
sphinx
sphinx_rtd_theme
nose
coverage
pypi-publisher
